From 492f9c440f657261764a9c7ced770949a4b8b856 Mon Sep 17 00:00:00 2001
From: George Gelashvili and Tira Odhner <pair+ggelashvili+aodhner@pivotal.io>
Date: Wed, 8 Feb 2017 14:21:44 -0500
Subject: [PATCH 1/3] [PATCH] Run tests --pkg not shallow

---
 web/regression/README      | 12 ++++++++++--
 web/regression/runtests.py |  4 ++--
 2 files changed, 12 insertions(+), 4 deletions(-)

diff --git a/web/regression/README b/web/regression/README
index ae5d268d..278bc9cd 100644
--- a/web/regression/README
+++ b/web/regression/README
@@ -119,10 +119,18 @@ Execution:
      run 'python runtests.py --pkg all' or just:
          'python runtests.py'
 
+- Execute test framework for entire package
+
+     Example 1) Run test framework for 'browser' package
+     run 'python runtests.py --pkg browser'
+
+     Example 2) Run test framework for 'database' package
+     run 'python runtests.py --pkg browser.server_groups.servers.databases'
+
 - Execute test framework for single node at a time
 
      Example 1) Run test framework for 'browser' node
-     run 'python runtests.py --pkg browser'
+     run 'python runtests.py --pkg browser.tests'
 
      Example 2) Run test framework for 'database' node
-     run 'python runtests.py --pkg browser.server_groups.servers.databases'
+     run 'python runtests.py --pkg browser.server_groups.servers.databases.tests'
diff --git a/web/regression/runtests.py b/web/regression/runtests.py
index 709fea78..a64c738b 100644
--- a/web/regression/runtests.py
+++ b/web/regression/runtests.py
@@ -142,7 +142,7 @@ def get_test_modules(arguments):
     if arguments['pkg'] is None or arguments['pkg'] == "all":
         TestsGeneratorRegistry.load_generators('pgadmin')
     else:
-        TestsGeneratorRegistry.load_generators('pgadmin.%s.tests' %
+        TestsGeneratorRegistry.load_generators('pgadmin.%s' %
                                                arguments['pkg'])
 
     # Sort module list so that test suite executes the test cases sequentially
@@ -163,7 +163,7 @@ def add_arguments():
 
     parser = argparse.ArgumentParser(description='Test suite for pgAdmin4')
     parser.add_argument('--pkg', help='Executes the test cases of particular'
-                                      ' package')
+                                      ' package and subpackages')
     arg = parser.parse_args()
 
     return arg
-- 
2.11.0

